Bug 870093 - no sound after suspend in kernel 3.6.X Acer Aspire 6935
no sound after suspend in kernel 3.6.X Acer Aspire 6935
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 10:34 EDT by Sergey
Modified: 2012-11-04 03:39 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-04 03:39:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsmod output (3.44 KB, text/plain)
2012-10-25 10:34 EDT, Sergey
no flags Details

  None (edit)
Description Sergey 2012-10-25 10:34:50 EDT
Created attachment 633376 [details]
lsmod output

Description of problem:
Acer Aspire 6935G. 
No sound after suspend mode on kernels 3.6.X. On previous kernels (3.5.X) sound works fine.

Version-Release number of selected component (if applicable):
kernel - 3.6.1-1.fc17.x86_64
kernel - 3.6.2-4.fc17.x86_64

How reproducible:
always


Steps to Reproduce:
prerequisites: Acer Aspire 6935G , Fedora 17 with kernel 3.6.X
1. boot to fedora 17, kernel 3.6.X - sound works
2. suspend
3. resume - no sound, but sound card present
Comment 1 racoco 2012-10-26 15:53:28 EDT
I have a possibly related issue:

I have been running FC16 for some time w/o incident. Latest working kernel was 3.4.11-1.fc16.i686.PAE. Yesterday I performed a 'yum update' and got kernel 3.6.2-1. 

Sound stopped working. System rolling in (from /var/log/messages):

Oct 26 15:20:47 blackhole udevd[564]: timeout: killing '/sbin/modprobe -bv pci:v00008086d000027D8sv00001028sd000001DEbc04sc03i00' [585]
Oct 26 15:20:48 blackhole udevd[572]: timeout: killing '/sbin/modprobe -bv pci:v00008086d000027B8sv00000000sd00000000bc06sc01i00' [593]

In addition to broken sound functionality, the system does not shutdown (disks stop spinning, but shutdown screen hangs). I have to manually complete the shutdown (hold power button). System will reboot, but sound still broken and /var/log/messages rolls in above error msgs. Got to be 500MB big before I noticed this!!!

When I reboot and come up with 3.4.11-1, all is well!

I am running FC16 on a Dell Precision 390

rich coco
racoco@racoco.net
Comment 2 Sergey 2012-11-04 03:39:31 EST
with kernel - 3.6.3-1.fc17.x86_64 worked again.

Note You need to log in before you can comment on or make changes to this bug.